Bug 168483 - FEAT: [RHEL4 U3] kernel dm: Statistic information about dm devices (*)
Summary: FEAT: [RHEL4 U3] kernel dm: Statistic information about dm devices (*)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
: 143390 170693 (view as bug list)
Depends On:
Blocks: 168429 173398
TreeView+ depends on / blocked
 
Reported: 2005-09-16 16:44 UTC by Issue Tracker
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 19:59:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test cases for dm diskstat (2.75 KB, application/x-gzip)
2005-11-18 19:44 UTC, Jun'ichi Nomura (Red Hat)
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Comment 8 Alasdair Kergon 2005-10-21 13:25:03 UTC
This feature request can be broken down into 4 items:
  1) Kernel changes for dm to use the existing kernel I/O stats mechanism;
  2) A new kernel dm module to gather sophisticated customised stats;
  3) Simple userspace tools changes to make it easy to use (2);
  4) Sophisticated userspace tools (and gui) changes to get the best out of (2).

I'm going to use this bugzilla to cover 1 and 2 ('kernel' component).

Someone might like to raise new ones to cover 3 and 4 (device-mapper / lvm2 /
lvm2 GUI components).



Comment 9 Alasdair Kergon 2005-10-21 13:27:34 UTC
The patch for (1) is simple - needs a review, but certainly feasible for U3.

The patch for (2) also exists but is more complex - not reviewed properly yet,
API needs more work, but might be possible to include it in some form in U3 if
there's time.


Comment 12 Alasdair Kergon 2005-11-16 16:29:10 UTC
*** Bug 143390 has been marked as a duplicate of this bug. ***

Comment 17 Alasdair Kergon 2005-11-18 15:40:29 UTC
*** Bug 170693 has been marked as a duplicate of this bug. ***

Comment 18 Jun'ichi Nomura (Red Hat) 2005-11-18 19:44:02 UTC
Created attachment 121243 [details]
test cases for dm diskstat

Test cases for dm diskstat.
To complete this test, timing information collected by
BZ#173398 is also needed.
- Criteria for read_ticks, write_ticks, io_ticks may be
  too strict and sometimes cause false negative.
  Needs several trials to avoid it.
- There may be better/finer criterion for time_in_queue.

Comment 27 Red Hat Bugzilla 2006-03-07 19:59:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.